Name:           nordlicht
Version:        0.4.5
Release:        3.3
License:        GPL-2.0+
Summary:        Creates colorful barcodes from video files
Url:            https://nordlicht.github.io
Group:          Productivity/Multimedia/Editors and Convertors
Source0:        %{name}-%{version}.tar.xz
Obsoletes:      libnordlicht0 < %{version}-%{release}
Obsoletes:      libnordlicht0-debuginfo < %{version}-%{release}
Obsoletes:      nordlicht-devel < %{version}-%{release}

BuildRequires:  cmake
BuildRequires:  help2man
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libavutil)
BuildRequires:  pkgconfig(libswscale)
BuildRequires:  popt-devel

ExclusiveArch:  %ix86 x86_64

%description
C library for converting video files into colorful
barcodes. It is inspired by the Moviebarcode Tumblr, but
aims at the next logical step: Integrating these barcodes
into video players to make navigation faster and more
precise.

This package provides a command line tool, which you can
use to generate your own barcodes easily.

%prep
%autosetup -p1

%build
sed -i~ '
s@-static@@
' CMakeLists.txt
diff -u "$_"~ "$_" && exit 1
CFLAGS='%{optflags} -Wno-deprecated-declarations'
%cmake \
	-DBUILD_SHARED_LIBS=OFF \
	%{nil}
%cmake_build

%install
%cmake_install
rm -rfv %{buildroot}%{_libdir} %{buildroot}%{_includedir}

%files
%{_mandir}/man1/%{name}.1%{ext_man}
%{_bindir}/%{name}

%changelog
* Tue Mar 31 2020 olaf@aepfle.de
- Bump to v0.4.5
* Sat Oct  8 2016 joerg.lorenzen@ki.tng.de
- Removed service file because build often fails with 'bad temdir'
  and only sometimes succeeds.
* Mon Jan 25 2016 sebastian@morr.cc
- Bump to v0.4.4
* Sat Jan  2 2016 sebastian@morr.cc
- Bump to v0.4.2
* Sat Jan  2 2016 sebastian@morr.cc
- Bump package to version 0.4.0, which drops the libpng dependency and
  integrates Olaf's improvements to FFmpeg detection
* Tue Sep 22 2015 olaf@aepfle.de
- Use pkgconfig for ffmpeg BuildRequires
* Thu Nov 20 2014 guillaume@opensuse.org
- Do not build for %%arm (build hangs)
* Thu Mar 20 2014 sebastian@morr.cc
- Bump package to version 0.3.5
* Sat Mar 15 2014 sebastian@morr.cc
- Update to version 0.3.4, which removes exit() calls from the library
- add pkgbuild-Requires to nordlicht-devel
* Mon Mar  3 2014 sebastian@morr.cc
- Initial package of upstream version 0.3.3
